Please backport ddclient

Bug #141181 reported by Marco Rodrigues
2
Affects Status Importance Assigned to Milestone
Edgy Backports
Undecided
Unassigned

Bug Description

ddclient (3.7.1-0ubuntu3) gutsy; urgency=low

  * Re-add debian/patches/checked_ssl_load.diff which got dropped accidently in
    last upload.

 -- Michael Bienia <email address hidden> Sun, 17 Jun 2007 01:07:53 +0200

ddclient (3.7.1-0ubuntu2) gutsy; urgency=low

  * Remove the patch to change from .org to .com (LP: #116066)
    - DynDNS team only wants .com to access their website.

 -- Marco Rodrigues <email address hidden> Sat, 16 Jun 2007 22:51:55 +0100

ddclient (3.7.1-0ubuntu1) gutsy; urgency=low

  * Updated to upstream version with lots of bug fixes (LP: #106753)
  * Added a patch to change dyndns.org to dyndns.com (LP: #106753)
  * Fixed and removed debian/patches that are already applied in the upstream.

 -- Marco Rodrigues <email address hidden> Sat, 28 Apr 2007 14:17:33 +0100

ddclient (3.7.0-3ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules:
      + call dh_installinit with -u multiuser (Teardown spec)
    - debian/ddclient.init:
      + improve error message when ddclient isn't set to run as a daemon
    - debian/control: Depend on the version of initscripts in feisty.
  * Modified Maintainer value to match Debian-Maintainer-Field Spec

 -- Luke Yelavich <email address hidden> Wed, 31 Jan 2007 19:54:10 +1100

ddclient (3.7.0-3) unstable; urgency=low

  [ Christian Perrier <email address hidden> ]
  * Unfuzzy previously complete translations. Closes: #407774
  * Added debconf translations:
    - Galician. Closes: #407891
    - Catalan. Closes: #375972
    - Portuguese. Closes: #389654
  * Updated debconf translations
    - Spanish. Closes: #403545
    - Czech. Closes: #389205

  [ Torsten Landschoff <email address hidden> ]
  * Update german translation from Helge Kreutzmann.
  * Update spanish translation from Javier Fernández-Sanguino Peña.
  * Add missing build-dependency on quilt (closes: #408014).
  * Add dependency for lsb-base as we are now using LSB functions.
    Also depend on a recent version of initscripts, as it seems that
    vars.sh is unavailable on older systems (closes: #408041).

 -- Torsten Landschoff <email address hidden> Sun, 28 Jan 2007 19:44:00 +0100

ddclient (3.7.0-2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + add quilt to build-depends
    - debian/rules:
      + call dh_installinit with -u multiuser (Teardown spec)
    - debian/ddclient.init:
      + improve error message when ddclient isn't set to run as a daemon

 -- Michael Bienia <email address hidden> Mon, 22 Jan 2007 23:05:53 +0100

ddclient (3.7.0-2) unstable; urgency=low

  * Silence a warning about an uninitialized value (closes: #334437).
  * SSL support:
    + Add a Recommends for libio-socket-ssl-perl, which is required for
      SSL support.
    + Generated a helpful error message if IO::Socket::SSL is not available
      at runtime.
    + Add README.Debian with some explanation about SSL support.
  * debian/ddclient.init: Fix start-stop-daemon invocation to not use the
    --exec option which does not work for scripts. Previously this could
    lead to starting multiple ddclient instances (closes: #185368).
  * debian/ddclient.8: Replace with place holder, as the manpage is
    seriously outdated (closes: #195115).
    + Add Build-Depends on xmlto, which is used to generate the manpage.

 -- Torsten Landschoff <email address hidden> Sat, 20 Jan 2007 10:59:55 +0100

ddclient (3.7.0-1ubuntu1) feisty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - add quilt to build-depends
    - add lsb-base to depends
    - make init script nicer (use lsb functions)
  * debian/ddclient.init: improve error message when ddclient isn't set to run
    as a daemon (Closes Ubuntu: #54102)
  * debian/rules: call dh_installinit with -u multiuser (Teardown spec)
  * debian/control: recommend libio-socket-ssl-perl

 -- Michael Bienia <email address hidden> Sun, 3 Dec 2006 14:51:40 +0100

ddclient (3.7.0-1) unstable; urgency=low

  * New upstream release.
    + Removed patch to enable socket timeout, applied upstream already.
  * Bumped Standards-Version to 3.7.2, no relevant changes (lintian).
  * Fix build dependencies to use Build-Depends instead of
    Build-Depends-Indep (lintian).
  * Remove a low-priority note and raise the priority of a debconf note
    used as an error message (closes: #388883).
  * debian/ddclient.init: Add initial LSB section (lintian).

 -- Torsten Landschoff <email address hidden> Fri, 1 Dec 2006 23:21:33 +0100

Revision history for this message
Automated Backports Builder (john-dong+backport-builder) wrote : Notification of build FAIL for ddclient

Howdy! This message is to inform you that the build you requested of ddclient from gutsy to edgy has been completed.
Its status is: FAIL
For further information, build logs, and testing .deb packages, please see: http://sharkattack.media.mit.edu/inventory/check_builds/117

Thanks,
The Backports Builder

Revision history for this message
Marco Rodrigues (gothicx) wrote :
Download full text (4.4 KiB)

ddclient (3.7.1-0ubuntu3) gutsy; urgency=low

  * Re-add debian/patches/checked_ssl_load.diff which got dropped accidently in
    last upload.

 -- Michael Bienia <email address hidden> Sun, 17 Jun 2007 01:07:53 +0200

ddclient (3.7.1-0ubuntu2) gutsy; urgency=low

  * Remove the patch to change from .org to .com (LP: #116066)
    - DynDNS team only wants .com to access their website.

 -- Marco Rodrigues <email address hidden> Sat, 16 Jun 2007 22:51:55 +0100

ddclient (3.7.1-0ubuntu1) gutsy; urgency=low

  * Updated to upstream version with lots of bug fixes (LP: #106753)
  * Added a patch to change dyndns.org to dyndns.com (LP: #106753)
  * Fixed and removed debian/patches that are already applied in the upstream.

 -- Marco Rodrigues <email address hidden> Sat, 28 Apr 2007 14:17:33 +0100

ddclient (3.7.0-3ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules:
      + call dh_installinit with -u multiuser (Teardown spec)
    - debian/ddclient.init:
      + improve error message when ddclient isn't set to run as a daemon
    - debian/control: Depend on the version of initscripts in feisty.
  * Modified Maintainer value to match Debian-Maintainer-Field Spec

 -- Luke Yelavich <email address hidden> Wed, 31 Jan 2007 19:54:10 +1100

ddclient (3.7.0-3) unstable; urgency=low

  [ Christian Perrier <email address hidden> ]
  * Unfuzzy previously complete translations. Closes: #407774
  * Added debconf translations:
    - Galician. Closes: #407891
    - Catalan. Closes: #375972
    - Portuguese. Closes: #389654
  * Updated debconf translations
    - Spanish. Closes: #403545
    - Czech. Closes: #389205

  [ Torsten Landschoff <email address hidden> ]
  * Update german translation from Helge Kreutzmann.
  * Update spanish translation from Javier Fernández-Sanguino Peña.
  * Add missing build-dependency on quilt (closes: #408014).
  * Add dependency for lsb-base as we are now using LSB functions.
    Also depend on a recent version of initscripts, as it seems that
    vars.sh is unavailable on older systems (closes: #408041).

 -- Torsten Landschoff <email address hidden> Sun, 28 Jan 2007 19:44:00 +0100

ddclient (3.7.0-2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + add quilt to build-depends
    - debian/rules:
      + call dh_installinit with -u multiuser (Teardown spec)
    - debian/ddclient.init:
      + improve error message when ddclient isn't set to run as a daemon

 -- Michael Bienia <email address hidden> Mon, 22 Jan 2007 23:05:53 +0100

ddclient (3.7.0-2) unstable; urgency=low

  * Silence a warning about an uninitialized value (closes: #334437).
  * SSL support:
    + Add a Recommends for libio-socket-ssl-perl, which is required for
      SSL support.
    + Generated a helpful error message if IO::Socket::SSL is not available
      at runtime.
    + Add README.Debian with some explanation about SSL support.
  * debian/ddclient.init: Fix start-stop-daemon invocation to not use the
    --exec option which does not work for scripts. Previously this could
    lead to starting multiple ddclient instances (closes: #185368).
  * debian/ddclient.8: Repla...

Read more...

Changed in edgy-backports:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers